Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19640

Description

The field calculator xmin/xmax operators (and possible others, just tested this two) are broke on qgis master and in case of

xmin($geometry) is causing a crash while xmax($geometry) does nothing.

They works ok on qgis 2.4

Tested on both Linux and Windows.

Warning: Object::connect: No such signal org::freedesktop::UPower::DeviceAdded(QDBusObjectPath)

Warning: Object::connect: No such signal org::freedesktop::UPower::DeviceRemoved(QDBusObjectPath)                                                      

                                                                         

Fatal: ASSERT failure in QVector<T>::operator[]: "index out of range", file /usr/include/qt4/QtCore/qvector.h, line 355                                   

                                                                      

QGIS died on signal -1Could not attach to process.  If your uid matches the uid of the target                                                                               

                                                    

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try                                                                                                                

                                        

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf                                                                                                               

                                      

ptrace: Operation not permitted.                                                                                                                                                                                     

           

No thread selected                                                                                                                                                                                                           

   

No stack.                                                                                                                                                                                                                        

gdb returned 0                                                                                                                                                                                                                   

Aborted

Associated revisions

Revision fbc5f060 - 2014-10-08 12:12 AM - Salvatore Larosa

Fixes #11349 - field calculator broke on qgis master

History

#1 - 2014-10-07 03:22 PM - Salvatore Larosa

- Status changed from Open to Closed

Fixed in changeset commit:"fbc5f060f64d338fa0f0928236a7c87cfc39cbf2".
#2 - 2014-10-08 12:13 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Closed to In Progress

#3 - 2014-10-15 10:12 AM - Jürgen Fischer

- Status changed from In Progress to Closed
